Page MenuHomePhabricator

Extension WikiObjectModel failing tests due to missing apihelp messages
Closed, ResolvedPublic

Description

20:32:39 There were 12 failures:
20:32:39 
20:32:39 1) ApiDocumentationTest::testDocumentationExists with data set "Module womset with MiserMode=false, AllowCategorizedRecentChanges=false" ('womset', array(false, false))
20:32:39 Module description message apihelp-womset-description exists
20:32:39 Failed asserting that false is true.
20:32:39 
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/structure/ApiDocumentationTest.php:51
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/structure/ApiDocumentationTest.php:80
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/MediaWikiTestCase.php:399
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/maintenance/doMaintenance.php:111
20:32:39 
20:32:39 2) ApiDocumentationTest::testDocumentationExists with data set "Module womset with MiserMode=true, AllowCategorizedRecentChanges=true" ('womset', array(true, true))
20:32:39 Module description message apihelp-womset-description exists
20:32:39 Failed asserting that false is true.
20:32:39 
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/structure/ApiDocumentationTest.php:51
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/structure/ApiDocumentationTest.php:80
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/MediaWikiTestCase.php:399
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/maintenance/doMaintenance.php:111
20:32:39 
20:32:39 3) ApiDocumentationTest::testDocumentationExists with data set "Module womget with MiserMode=false, AllowCategorizedRecentChanges=false" ('womget', array(false, false))
20:32:39 Module description message apihelp-womget-description exists
20:32:39 Failed asserting that false is true.
20:32:39 
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/structure/ApiDocumentationTest.php:51
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/structure/ApiDocumentationTest.php:80
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/MediaWikiTestCase.php:399
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/maintenance/doMaintenance.php:111
20:32:39 
20:32:39 4) ApiDocumentationTest::testDocumentationExists with data set "Module womget with MiserMode=true, AllowCategorizedRecentChanges=true" ('womget', array(true, true))
20:32:39 Module description message apihelp-womget-description exists
20:32:39 Failed asserting that false is true.
20:32:39 
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/structure/ApiDocumentationTest.php:51
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/structure/ApiDocumentationTest.php:80
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/MediaWikiTestCase.php:399
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/maintenance/doMaintenance.php:111
20:32:39 
20:32:39 5) ApiDocumentationTest::testDocumentationExists with data set "Module womapi with MiserMode=false, AllowCategorizedRecentChanges=false" ('womapi', array(false, false))
20:32:39 Module description message apihelp-womapi-description exists
20:32:39 Failed asserting that false is true.
20:32:39 
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/structure/ApiDocumentationTest.php:51
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/structure/ApiDocumentationTest.php:80
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/MediaWikiTestCase.php:399
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/maintenance/doMaintenance.php:111
20:32:39 
20:32:39 6) ApiDocumentationTest::testDocumentationExists with data set "Module womapi with MiserMode=true, AllowCategorizedRecentChanges=true" ('womapi', array(true, true))
20:32:39 Module description message apihelp-womapi-description exists
20:32:39 Failed asserting that false is true.
20:32:39 
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/structure/ApiDocumentationTest.php:51
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/structure/ApiDocumentationTest.php:80
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/MediaWikiTestCase.php:399
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/maintenance/doMaintenance.php:111
20:32:39 
20:32:39 7) ApiDocumentationTest::testDocumentationExists with data set "Module womoutput with MiserMode=false, AllowCategorizedRecentChanges=false" ('womoutput', array(false, false))
20:32:39 Module description message apihelp-womoutput-description exists
20:32:39 Failed asserting that false is true.
20:32:39 
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/structure/ApiDocumentationTest.php:51
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/structure/ApiDocumentationTest.php:80
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/MediaWikiTestCase.php:399
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/maintenance/doMaintenance.php:111
20:32:39 
20:32:39 8) ApiDocumentationTest::testDocumentationExists with data set "Module womoutput with MiserMode=true, AllowCategorizedRecentChanges=true" ('womoutput', array(true, true))
20:32:39 Module description message apihelp-womoutput-description exists
20:32:39 Failed asserting that false is true.
20:32:39 
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/structure/ApiDocumentationTest.php:51
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/structure/ApiDocumentationTest.php:80
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/MediaWikiTestCase.php:399
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/maintenance/doMaintenance.php:111
20:32:39 
20:32:39 9) ApiDocumentationTest::testDocumentationExists with data set "Module womwiki with MiserMode=false, AllowCategorizedRecentChanges=false" ('womwiki', array(false, false))
20:32:39 Module description message apihelp-womwiki-description exists
20:32:39 Failed asserting that false is true.
20:32:39 
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/structure/ApiDocumentationTest.php:51
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/structure/ApiDocumentationTest.php:80
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/MediaWikiTestCase.php:399
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/maintenance/doMaintenance.php:111
20:32:39 
20:32:39 10) ApiDocumentationTest::testDocumentationExists with data set "Module womwiki with MiserMode=true, AllowCategorizedRecentChanges=true" ('womwiki', array(true, true))
20:32:39 Module description message apihelp-womwiki-description exists
20:32:39 Failed asserting that false is true.
20:32:39 
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/structure/ApiDocumentationTest.php:51
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/structure/ApiDocumentationTest.php:80
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/MediaWikiTestCase.php:399
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/maintenance/doMaintenance.php:111
20:32:39 
20:32:39 11) ApiDocumentationTest::testDocumentationExists with data set "Module womquery with MiserMode=false, AllowCategorizedRecentChanges=false" ('womquery', array(false, false))
20:32:39 Module description message apihelp-womquery-description exists
20:32:39 Failed asserting that false is true.
20:32:39 
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/structure/ApiDocumentationTest.php:51
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/structure/ApiDocumentationTest.php:80
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/MediaWikiTestCase.php:399
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/maintenance/doMaintenance.php:111
20:32:39 
20:32:39 12) ApiDocumentationTest::testDocumentationExists with data set "Module womquery with MiserMode=true, AllowCategorizedRecentChanges=true" ('womquery', array(true, true))
20:32:39 Module description message apihelp-womquery-description exists
20:32:39 Failed asserting that false is true.
20:32:39 
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/structure/ApiDocumentationTest.php:51
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/structure/ApiDocumentationTest.php:80
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/MediaWikiTestCase.php:399
20:32:39 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm/src/maintenance/doMaintenance.php:111
20:32:39 
20:32:39 FAILURES!

Details

Related Gerrit Patches:
mediawiki/extensions/WikiObjectModel : masterAdd apihelp messages to pass unit tests

Event Timeline

Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptJan 10 2017, 7:03 PM
Filip claimed this task.Jan 15 2017, 11:49 AM
Filip removed Filip as the assignee of this task.Jan 15 2017, 12:12 PM
Filip added a subscriber: Filip.
Umherirrender triaged this task as Medium priority.

Change 369979 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/WikiObjectModel@master] Add apihelp messages to pass unit tests

https://gerrit.wikimedia.org/r/369979

Change 369979 merged by jenkins-bot:
[mediawiki/extensions/WikiObjectModel@master] Add apihelp messages to pass unit tests

https://gerrit.wikimedia.org/r/369979

Umherirrender closed this task as Resolved.Aug 10 2017, 7:30 PM